Last Comment Bug 749156 - Failure in /testPasswordManager/testPasswordNotificationBar.js | Expression "id("password-save-notification")" returned null. Anonymous == false
: Failure in /testPasswordManager/testPasswordNotificationBar.js | Expression "...
Status: VERIFIED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Alex Lakatos[:AlexLakatos]
:
Mentors:
http://mozmill-release.blargon7.com/#...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 05:58 PDT by Alex Lakatos[:AlexLakatos]
Modified: 2012-12-14 08:36 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
patch v1.0 [checked-in:default,aurora,beta] (1.48 KB, patch)
2012-04-26 06:02 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review+
Details | Diff | Review

Description Alex Lakatos[:AlexLakatos] 2012-04-26 05:58:20 PDT
TEST: /testPasswordManager/testPasswordNotificationBar.js::testPasswordNotification
ERROR: Expression "id("password-save-notification")" returned null. Anonymous == false 
WHEN: 2012-04-25
FIRST: 2012-04-25
FREQ: 3
BRANCHES: default

Something changed in popup-notification creation in Firefox.
On previous versions an element with id "password-save-notification" got created and after closing, still remained in the xul file. Not it is removed.
Comment 1 Alex Lakatos[:AlexLakatos] 2012-04-26 06:02:16 PDT
Created attachment 618634 [details] [diff] [review]
patch v1.0 [checked-in:default,aurora,beta]

The test referenced the parentNode of the password notification. So I got the parent node directly, without referenced it via the child, since that gets removed.
Comment 2 Maniac Vlad Florin (:vladmaniac) 2012-04-26 06:10:37 PDT
Comment on attachment 618634 [details] [diff] [review]
patch v1.0 [checked-in:default,aurora,beta]

Please pass reviews to Henrik from now on and keep Anthony for feedback requests, as of today. 

This is due to a 1 on 1 chat I had with Anthony yesterday on iRC. Thanks for the patch Alex!
Comment 3 Henrik Skupin (:whimboo) 2012-04-26 22:00:04 PDT
(In reply to Maniac Vlad Florin (:vladmaniac) from comment #2)
> Please pass reviews to Henrik from now on and keep Anthony for feedback
> requests, as of today. 

No, that's not only me. It will be everyone from the Automation Developer team. As for now Dave and me. So please split it up between us.

Landed on default:
http://hg.mozilla.org/qa/mozmill-tests/rev/9e935620e762

Please check if it fixes the failure and also land on aurora today.
Comment 4 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-27 08:34:27 PDT
Comment on attachment 618634 [details] [diff] [review]
patch v1.0 [checked-in:default,aurora,beta]

Landed:
http://hg.mozilla.org/qa/mozmill-tests/rev/268ef8d52d34 (mozilla-aurora)
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-27 08:34:57 PDT
Verified this did not fail today on Nightly.
Comment 6 Henrik Skupin (:whimboo) 2012-04-28 00:52:58 PDT
Anthony, please use the new status fields to mark where a patch has been checked in. Thanks.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-09 15:10:35 PDT
Comment on attachment 618634 [details] [diff] [review]
patch v1.0 [checked-in:default,aurora,beta]

I noticed this failure happening on Beta so I landed the patch:

http://hg.mozilla.org/qa/mozmill-tests/rev/fb18a4382b34 (mozilla-beta)

See:
http://mozmill-ondemand.blargon7.com/#/functional/report/c2b72632f20450b6d99d14c709b017e5
Comment 9 Henrik Skupin (:whimboo) 2012-12-14 08:33:27 PST
Please do not reopen a bug which has been fixed a long time ago. The new failure is totally disconnected from the old issue we had to fix here. Please file a new bug for.

Note You need to log in before you can comment on or make changes to this bug.